[
  {
    "chunk_id": 45,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'CustomersReport'. Subreport: \"OrdersReport.jasper\". Subreport parameters: 6 - XML_DATA_DOCUMENT, XML_DATE_PATTERN, XML_NUMBER_PATTERN, XML_LOCALE, XML_TIME_ZONE, CustomerID.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"e7de82f1-2e1c-4459-bef3-307e57903e0b\" x=\"5\" y=\"25\" width=\"507\" height=\"20\" backcolor=\"#FFCC99\" printRepeatedValues=\"false\" removeLineWhenBlank=\"true\">\n\t\t\t\t<expression>\"OrdersReport.jasper\"</expression>\n\t\t\t\t<parameter name=\"XML_DATA_DOCUMENT\">\n\t\t\t\t\t<expression>$P{XML_DATA_DOCUMENT}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_DATE_PATTERN\">\n\t\t\t\t\t<expression>$P{XML_DATE_PATTERN}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_NUMBER_PATTERN\">\n\t\t\t\t\t<expression>$P{XML_NUMBER_PATTERN}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_LOCALE\">\n\t\t\t\t\t<expression>$P{XML_LOCALE}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_TIME_ZONE\">\n\t\t\t\t\t<expression>$P{XML_TIME_ZONE}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"CustomerID\">\n\t\t\t\t\t<expression>$F{CustomerID}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t\t",
    "context": "Report 'CustomersReport' subreport",
    "metadata": {
      "expression": "\"OrdersReport.jasper\"",
      "connectionExpression": "",
      "dataSourceExpression": "",
      "returnValues": [],
      "parameters": [
        {
          "name": "XML_DATA_DOCUMENT",
          "expression": "$P{XML_DATA_DOCUMENT}"
        },
        {
          "name": "XML_DATE_PATTERN",
          "expression": "$P{XML_DATE_PATTERN}"
        },
        {
          "name": "XML_NUMBER_PATTERN",
          "expression": "$P{XML_NUMBER_PATTERN}"
        },
        {
          "name": "XML_LOCALE",
          "expression": "$P{XML_LOCALE}"
        },
        {
          "name": "XML_TIME_ZONE",
          "expression": "$P{XML_TIME_ZONE}"
        },
        {
          "name": "CustomerID",
          "expression": "$F{CustomerID}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "e7de82f1-2e1c-4459-bef3-307e57903e0b",
        "x": "5",
        "y": "25",
        "width": "507",
        "height": "20",
        "backcolor": "#FFCC99",
        "printRepeatedValues": "false",
        "removeLineWhenBlank": "true"
      }
    }
  },
  {
    "chunk_id": 45,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'CustomersReport'. Subreport: \"OrdersReport.jasper\". Subreport parameters: 6 - XML_DATA_DOCUMENT, XML_DATE_PATTERN, XML_NUMBER_PATTERN, XML_LOCALE, XML_TIME_ZONE, CustomerID.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"e7de82f1-2e1c-4459-bef3-307e57903e0b\" x=\"5\" y=\"25\" width=\"507\" height=\"20\" backcolor=\"#FFCC99\" printRepeatedValues=\"false\" removeLineWhenBlank=\"true\">\n\t\t\t\t<expression>\"OrdersReport.jasper\"</expression>\n\t\t\t\t<parameter name=\"XML_DATA_DOCUMENT\">\n\t\t\t\t\t<expression>$P{XML_DATA_DOCUMENT}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_DATE_PATTERN\">\n\t\t\t\t\t<expression>$P{XML_DATE_PATTERN}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_NUMBER_PATTERN\">\n\t\t\t\t\t<expression>$P{XML_NUMBER_PATTERN}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_LOCALE\">\n\t\t\t\t\t<expression>$P{XML_LOCALE}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"XML_TIME_ZONE\">\n\t\t\t\t\t<expression>$P{XML_TIME_ZONE}</expression>\n\t\t\t\t</parameter>\n\t\t\t\t<parameter name=\"CustomerID\">\n\t\t\t\t\t<expression>$F{CustomerID}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t\t",
    "context": "Report 'CustomersReport' subreport",
    "metadata": {
      "expression": "\"OrdersReport.jasper\"",
      "connectionExpression": "",
      "dataSourceExpression": "",
      "returnValues": [],
      "parameters": [
        {
          "name": "XML_DATA_DOCUMENT",
          "expression": "$P{XML_DATA_DOCUMENT}"
        },
        {
          "name": "XML_DATE_PATTERN",
          "expression": "$P{XML_DATE_PATTERN}"
        },
        {
          "name": "XML_NUMBER_PATTERN",
          "expression": "$P{XML_NUMBER_PATTERN}"
        },
        {
          "name": "XML_LOCALE",
          "expression": "$P{XML_LOCALE}"
        },
        {
          "name": "XML_TIME_ZONE",
          "expression": "$P{XML_TIME_ZONE}"
        },
        {
          "name": "CustomerID",
          "expression": "$F{CustomerID}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "e7de82f1-2e1c-4459-bef3-307e57903e0b",
        "x": "5",
        "y": "25",
        "width": "507",
        "height": "20",
        "backcolor": "#FFCC99",
        "printRepeatedValues": "false",
        "removeLineWhenBlank": "true"
      }
    }
  }
]